//
//  BaseAlgorithm.swift
//  Runner
//
//  Created by Lacuna Software on 5/13/20.
//

import Foundation


public class BaseAlgorithm: Equatable {
    
    public static func == (lhs: BaseAlgorithm, rhs: BaseAlgorithm) -> Bool {
        return lhs.oid == rhs.oid
    }
    
    
    public let name: String
    public let oid: String
    
    internal init(_ name: String, _ oid: String) {
        self.name = name
        self.oid = oid
    }
    
    var description: String {
        return "\(name) (\(oid))"
    }
    
    internal static func canonString(value: String) -> String {
        return value.lowercased().replacingOccurrences(of: "-", with: "").replacingOccurrences(of: " ", with: "")
    }
}
