//
//  Converters.swift
//  crosspki
//
//  Created by Lacuna Software on 5/14/20.
//

import Foundation

public class Converters {
    
    public static func toDictionary(_ certificate: Certificate) -> [String: Any] {
        return [
            "encoded": certificate.content,
            "thumbprint": DigestAlgorithm.sha256.computeHash(data: certificate.content).base64EncodedString()
        ]
    }
    
    public static func toDictionary(_ certificates: [Certificate]) -> [[String: Any]] {
        return certificates.map { (certificate: Certificate) -> [String: Any] in
            return toDictionary(certificate)
        }
    }
    
    public static func toDictionary(_ keyPair: MobileKeyPair) -> [String: Any] {
        return [
            "keyId": keyPair.keyId,
            "publicKeyEncoded": keyPair.publicKeyEncoded
        ]
    }
    
    public static func toSignatureDictionary(_ signature: Data) -> [String: Any] {
        return [
            "signature": signature
        ]
    }
}

